ejabberd-mod-shcommands_0.2016.09.12~dfsg0-2_i386.deb


Advertisement

Description

ejabberd-mod-shcommands - execute shell commands via XMPP (dangerous!)

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename ejabberd-mod-shcommands_0.2016.09.12~dfsg0-2_i386.deb
Package name ejabberd-mod-shcommands
Package version 0.2016.09.12~dfsg0
Package release 2
Package architecture i386
Package type deb
Category net
Homepage https://github.com/processone/ejabberd-contrib
License -
Maintainer Ejabberd Packaging Team <ejabberd@deb.at>
Download size 12.45 KB
Installed size 39.00 KB
WARNING: USE THIS MODULE AT YOUR OWN RISK !!!
This module allows ejabberd administrators to remotely execute shell commands
which could compromise both the ejabberd server and the whole machine.
This module provides the ejabberd server administrator a method to remotely
execute shell commands through the ejabberd server.
It provides a page in the ejabberd Web Admin which only the administrators of
the whole server can access.
Three types of commands are possible:
* ejabberd_ctl: makes a call to ejabberd_ctl;
* erlang shell: executes an erlang command;
* system shell: executes a command on the system shell.
The result of the execution will be shown.
In the system shell, only non-interactive commands will work correctly,
for example this will work:
ps -all
Don't use commands that start an interactive mode:
DON'T TRY THIS: top
DON'T TRY THIS: vim readme.txt
This module does not check if the commands are dangerous or problematic,
so this module is only recommended for experienced ejabberd and Erlang/OTP
administrators. USE THIS MODULE AT YOUR OWN RISK !!!

Alternatives

Package Version Architecture Repository
ejabberd-mod-shcommands_0.2016.09.12~dfsg0-2_amd64.deb 0.2016.09.12~dfsg0 amd64 Debian Main
ejabberd-mod-shcommands - - -

Requires

Name Value
ejabberd >= 16.09
erlang-abi-17.0 -
erlang-base >= 1:19.1.1+dfsg
erlang-base >= 1:15.b
erlang-base-hipe >= 1:19.1.1+dfsg

Download

Type URL
Mirror ftp.br.debian.org
Binary Package ejabberd-mod-shcommands_0.2016.09.12~dfsg0-2_i386.deb
Source Package ejabberd-contrib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ejabberd-mod-shcommands deb package:
    # sudo apt-get install ejabberd-mod-shcommands

Files

Path
/usr/lib/i386-linux-gnu/ejabberd-16.09/ebin/mod_shcommands.beam
/usr/share/doc/ejabberd-mod-shcommands/README.txt
/usr/share/doc/ejabberd-mod-shcommands/changelog.Debian.gz
/usr/share/doc/ejabberd-mod-shcommands/changelog.gz
/usr/share/doc/ejabberd-mod-shcommands/copyright

Changelog

2016-10-05 - Philipp Huebner <debalance@debian.org>
ejabberd-contrib (0.2016.09.12~dfsg0-2) unstable; urgency=medium
* Corrected typo in debian/control
* Added erlang-base to Build-Depends
2016-09-22 - Philipp Huebner <debalance@debian.org>
ejabberd-contrib (0.2016.09.12~dfsg0-1) unstable; urgency=medium
* New upstream version 0.2016.09.12~dfsg0
2016-08-08 - Philipp Huebner <debalance@debian.org>
ejabberd-contrib (0.2016.08.01~dfsg0-1) unstable; urgency=medium
* Imported Upstream version 0.2016.08.01~dfsg0
2016-07-03 - Philipp Huebner <debalance@debian.org>
ejabberd-contrib (0.2016.06.29~dfsg0-1) unstable; urgency=medium
* Imported Upstream version 0.2016.06.29~dfsg0
* Updated Standards-Version: 3.9.8 (no changes needed)
* Added ejabberd-mod-pottymouth
2016-04-13 - Philipp Huebner <debalance@debian.org>
ejabberd-contrib (0.2016.04.11~dfsg0-2) unstable; urgency=medium
* Build against ejabberd 16.03
2016-04-12 - Philipp Huebner <debalance@debian.org>
ejabberd-contrib (0.2016.04.11~dfsg0-1) unstable; urgency=medium
* Imported Upstream version 0.2016.04.11~dfsg0
2016-03-25 - Philipp Huebner <debalance@debian.org>
ejabberd-contrib (0.2016.03.24~dfsg0-1) unstable; urgency=high
* Imported Upstream version 0.2016.03.24~dfsg0 (Closes: #819219)
* Dropped obsolete patch for mod_cron
* mod_mam_mnesia has been declared deprecated and removed by upstream
* Updated debian/copyright
2016-03-03 - Philipp Huebner <debalance@debian.org>
ejabberd-contrib (0.2016.03.02~dfsg0-1) unstable; urgency=medium
* Imported Upstream version 0.2016.03.02~dfsg0
* Build-depend on rebar >= 2.6.0
* Added patch to correct include of fast_xml in mod_cron/src/mod_cron.erl
* Updated Standards-Version: 3.9.7 (no changes needed)
2016-01-18 - Philipp Huebner <debalance@debian.org>
ejabberd-contrib (0.2016.01.12~dfsg0-1) unstable; urgency=medium
* Imported Upstream version 0.2016.01.12~dfsg0
* Adjusted packaging to new ejabberd release (16.01)
* Updated debian/copyright
* Updated README.Debian
2015-11-03 - Philipp Huebner <debalance@debian.org>
ejabberd-contrib (0.2015.10.26~dfsg0-1) unstable; urgency=medium
* Imported Upstream version 0.2015.10.26
* Disabled building of mod_http_upload, it's now part of ejabberd
(Closes: 803914)
* Changed Maintainer to Ejabberd Packaging Team and listed myself as
uploader

See Also

Package Description
ejabberd-mod-statsdx_0.2016.09.12~dfsg0-2_i386.deb calculates and gathers statistics actively
ejabberd-mod-webpresence_0.2016.09.12~dfsg0-2_i386.deb allows any local ejabberd user to publish his presence information
ejabberd_16.09-4_i386.deb distributed, fault-tolerant Jabber/XMPP server
eject_2.1.5+deb1+cvs20081104-13.2_i386.deb ejects CDs and operates CD-Changers under Linux
ekeyd-egd-linux_1.1.5-6.2_i386.deb Transfers entropy from an EGD to the Linux kernel pool
ekeyd_1.1.5-6.2_i386.deb Simtec Electronics UDEKEY01 Entropy Key Daemon
ekg-gtk_1.9~pre+r2855-5_i386.deb Gadu-Gadu client for UNIX systems - GTK+ UI
ekg2-api-docs_0.4~pre+20120506.1-13_all.deb instant messenger and IRC client for UNIX systems - API documentation
ekg2-core_0.4~pre+20120506.1-13_i386.deb instant messenger and IRC client for UNIX systems - main program
ekg2-gnupg_0.4~pre+20120506.1-13_i386.deb instant messenger and IRC client for UNIX systems - GnuPG
ekg2-jabber_0.4~pre+20120506.1-13_i386.deb instant messenger and IRC client for UNIX systems - Jabber/XMPP
ekg2-scripting-perl_0.4~pre+20120506.1-13_i386.deb instant messenger and IRC client for UNIX systems - Perl scripting
ekg2-scripting-python_0.4~pre+20120506.1-13_i386.deb instant messenger and IRC client for UNIX systems - Python scripting
ekg2-ui-gtk_0.4~pre+20120506.1-13_i386.deb instant messenger and IRC client for UNIX systems - GTK+ interface
ekg2-ui-ncurses_0.4~pre+20120506.1-13_i386.deb instant messenger and IRC client for UNIX systems - ncurses interface
Advertisement
Advertisement